# -*- encoding: utf-8 -*-
# stub: mtime_cache 1.0.2 ruby lib

Gem::Specification.new do |s|
  s.name = "mtime_cache".freeze
  s.version = "1.0.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Borislav Stanimirov".freeze]
  s.date = "2016-10-27"
  s.description = "mtime_cache creates a cache of file modification times, based on a glob pattern.\nIf a cache exists it updates unchanged files (unchanged based on MD5 hash) with\nthe time from the cache.\n\nThis is useful if you cache your build artifacts for a build process which\ndetects changes based on source modification time (such as most C or C++ build\nsystems) on a continuous integration service (such as Travis CI), which clones\nthe repo for every build.\n\nWhen the repo is cloned, all source files have a modification time equal to the\ncurrent time, making the cached build artifacts (for example .o files) obsolete.\nmtime_cache allows you to cache the modification times of the files, enabling a\nminimal rebuild for each clone.\n".freeze
  s.email = "b.stanimirov@abv.bg".freeze
  s.executables = ["mtime_cache".freeze]
  s.files = ["bin/mtime_cache".freeze]
  s.homepage = "https://github.com/iboB/mtime_cache".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Cache file mtimes. Helps caching build artifacts on a CIS".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version
end
